
set( larreco_VERSION 04.07.01 )
set( larreco_UPS_VERSION v04_07_01 )


####### Expanded from @PACKAGE_INIT@ by configure_package_config_file() #######
####### Any changes to this file will be overwritten by the next CMake run ####
####### The input file was product-config.cmake.in                            ########

get_filename_component(PACKAGE_PREFIX_DIR "${CMAKE_CURRENT_LIST_DIR}/../../../../../../" ABSOLUTE)

macro(set_and_check _var _file)
  set(${_var} "${_file}")
  if(NOT EXISTS "${_file}")
    message(FATAL_ERROR "File or directory ${_file} referenced by variable ${_var} does not exist !")
  endif()
endmacro()

macro(check_required_components _NAME)
  foreach(comp ${${_NAME}_FIND_COMPONENTS})
    if(NOT ${_NAME}_${comp}_FOUND)
      if(${_NAME}_FIND_REQUIRED_${comp})
        set(${_NAME}_FOUND FALSE)
      endif()
    endif()
  endforeach()
endmacro()

####################################################################################


## find_ups_product directives
## remember that these are minimum required versions
    find_ups_product( larcore v1_00_00 )
    find_ups_product( art v1_09_00 )
    find_ups_product( cppunit v1_12_1a )
    find_ups_product( gccxml v0_9_20140718a )
    find_ups_product( clhep v2_2_0_3 )
    find_ups_product( cetpkgsupport v1_08_03 )
    find_ups_product( cetlib v1_08_00 )
    find_ups_product( cpp0x v1_03_02 )
  find_ups_boost( v1_50_0 )
    find_ups_product( fhiclcpp v3_02_00 )
    find_ups_product( sqlite v3_07_15_00 )
    find_ups_product( messagefacility v1_14_00 )
  find_ups_root( v5_34_20 )
    find_ups_product( tbb v4_1 )
    find_ups_product( lardata v1_00_00 )
    find_ups_product( nutools v1_00_00 )
    find_ups_product( genie v2_8_0 )
    find_ups_product( libwda v2_21_0 )
    find_ups_product( postgresql v9_1_0 )
    find_ups_product( larevt v1_00_00 )
    find_ups_product( larsim v1_00_00 )
    find_ups_product( artextensions v1_00_01 )
    find_ups_product( geant4 geant4 )
    find_ups_product( xerces_c v3_0_0 )


## find_library directives
    if( NOT CETLIB )
      cet_find_library( CETLIB NAMES cetlib PATHS ENV CETLIB_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT SQLITE3 )
      cet_find_library( SQLITE3 NAMES sqlite3_ups PATHS ENV SQLITE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT FHICLCPP )
      cet_find_library( FHICLCPP NAMES fhiclcpp PATHS ENV FHICLCPP_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT MF_MESSAGELOGGER )
      cet_find_library( MF_MESSAGELOGGER NAMES MF_MessageLogger PATHS ENV MESSAGEFACILITY_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT MF_FILEFORMAT )
      cet_find_library( MF_FILEFORMAT NAMES MF_FileFormat PATHS ENV MESSAGEFACILITY_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT MESSAGEFACILITY_MESSAGESERVICE_PLUGINS_COUT_MFPLUGIN )
      cet_find_library( MESSAGEFACILITY_MESSAGESERVICE_PLUGINS_COUT_MFPLUGIN NAMES messagefacility_MessageService_plugins_cout_mfPlugin PATHS ENV MESSAGEFACILITY_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT MESSAGEFACILITY_MESSAGESERVICE_PLUGINS_CERR_MFPLUGIN )
      cet_find_library( MESSAGEFACILITY_MESSAGESERVICE_PLUGINS_CERR_MFPLUGIN NAMES messagefacility_MessageService_plugins_cerr_mfPlugin PATHS ENV MESSAGEFACILITY_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT MESSAGEFACILITY_MESSAGESERVICE_PLUGINS_FILE_MFPLUGIN )
      cet_find_library( MESSAGEFACILITY_MESSAGESERVICE_PLUGINS_FILE_MFPLUGIN NAMES messagefacility_MessageService_plugins_file_mfPlugin PATHS ENV MESSAGEFACILITY_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT MESSAGEFACILITY_MESSAGESERVICE_PLUGINS_SYSLOG_MFPLUGIN )
      cet_find_library( MESSAGEFACILITY_MESSAGESERVICE_PLUGINS_SYSLOG_MFPLUGIN NAMES messagefacility_MessageService_plugins_syslog_mfPlugin PATHS ENV MESSAGEFACILITY_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT MESSAGEFACILITY_MESSAGESERVICE_PLUGINS_COUT_MFSTATSPLUGIN )
      cet_find_library( MESSAGEFACILITY_MESSAGESERVICE_PLUGINS_COUT_MFSTATSPLUGIN NAMES messagefacility_MessageService_plugins_cout_mfStatsPlugin PATHS ENV MESSAGEFACILITY_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT MESSAGEFACILITY_MESSAGESERVICE_PLUGINS_CERR_MFSTATSPLUGIN )
      cet_find_library( MESSAGEFACILITY_MESSAGESERVICE_PLUGINS_CERR_MFSTATSPLUGIN NAMES messagefacility_MessageService_plugins_cerr_mfStatsPlugin PATHS ENV MESSAGEFACILITY_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT MESSAGEFACILITY_MESSAGESERVICE_PLUGINS_FILE_MFSTATSPLUGIN )
      cet_find_library( MESSAGEFACILITY_MESSAGESERVICE_PLUGINS_FILE_MFSTATSPLUGIN NAMES messagefacility_MessageService_plugins_file_mfStatsPlugin PATHS ENV MESSAGEFACILITY_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT MF_UTILITIES )
      cet_find_library( MF_UTILITIES NAMES MF_Utilities PATHS ENV MESSAGEFACILITY_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT CLHEP )
      cet_find_library( CLHEP NAMES CLHEP PATHS ENV CLHEP_LIB_DIR NO_DEFAULT_PATH )
    endif()
    if( NOT CPPUNIT )
      cet_find_library( CPPUNIT NAMES cppunit PATHS ENV CPPUNIT_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT XERCESC )
      cet_find_library( XERCESC NAMES xerces-c PATHS /scratch/workspace/nu-release-build/v1_10_02/SLF6/prof/build/xerces_c/v3_1_1c/Linux64bit+2.6-2.12-e7-prof/lib NO_DEFAULT_PATH )
    endif()
    if( NOT G4FR )
      cet_find_library( G4FR NAMES G4FR PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4GMOCREN )
      cet_find_library( G4GMOCREN NAMES G4GMocren PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4OPENGL )
      cet_find_library( G4OPENGL NAMES G4OpenGL PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4RAYTRACER )
      cet_find_library( G4RAYTRACER NAMES G4RayTracer PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4TREE )
      cet_find_library( G4TREE NAMES G4Tree PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4VRML )
      cet_find_library( G4VRML NAMES G4VRML PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4ANALYSIS )
      cet_find_library( G4ANALYSIS NAMES G4analysis PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4DIGITS_HITS )
      cet_find_library( G4DIGITS_HITS NAMES G4digits_hits PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4ERROR_PROPAGATION )
      cet_find_library( G4ERROR_PROPAGATION NAMES G4error_propagation PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4EVENT )
      cet_find_library( G4EVENT NAMES G4event PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4GEOMETRY )
      cet_find_library( G4GEOMETRY NAMES G4geometry PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4GL2PS )
      cet_find_library( G4GL2PS NAMES G4gl2ps PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4GLOBAL )
      cet_find_library( G4GLOBAL NAMES G4global PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4GRAPHICS_REPS )
      cet_find_library( G4GRAPHICS_REPS NAMES G4graphics_reps PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4INTERCOMS )
      cet_find_library( G4INTERCOMS NAMES G4intercoms PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4INTERFACES )
      cet_find_library( G4INTERFACES NAMES G4interfaces PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4MATERIALS )
      cet_find_library( G4MATERIALS NAMES G4materials PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4MODELING )
      cet_find_library( G4MODELING NAMES G4modeling PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4PARMODELS )
      cet_find_library( G4PARMODELS NAMES G4parmodels PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4PARTICLES )
      cet_find_library( G4PARTICLES NAMES G4particles PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4PERSISTENCY )
      cet_find_library( G4PERSISTENCY NAMES G4persistency PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4PHYSICSLISTS )
      cet_find_library( G4PHYSICSLISTS NAMES G4physicslists PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4PROCESSES )
      cet_find_library( G4PROCESSES NAMES G4processes PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4READOUT )
      cet_find_library( G4READOUT NAMES G4readout PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4RUN )
      cet_find_library( G4RUN NAMES G4run PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4TRACK )
      cet_find_library( G4TRACK NAMES G4track PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4TRACKING )
      cet_find_library( G4TRACKING NAMES G4tracking PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4VISHEPREP )
      cet_find_library( G4VISHEPREP NAMES G4visHepRep PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4VISXXX )
      cet_find_library( G4VISXXX NAMES G4visXXX PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4VIS_MANAGEMENT )
      cet_find_library( G4VIS_MANAGEMENT NAMES G4vis_management PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4ZLIB )
      cet_find_library( G4ZLIB NAMES G4zlib PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT PYTHIA6 )
      cet_find_library( PYTHIA6 NAMES Pythia6 PATHS ENV PYLIB NO_DEFAULT_PATH )
    endif()
    if( NOT LHAPDF )
      cet_find_library( LHAPDF NAMES LHAPDF PATHS /scratch/workspace/nu-release-build/v1_10_02/SLF6/prof/build/lhapdf/v5_9_1b/Linux64bit+2.6-2.12-e7-prof/lib NO_DEFAULT_PATH )
    endif()
    if( NOT LOG4CPP )
      cet_find_library( LOG4CPP NAMES log4cpp PATHS /scratch/workspace/nu-release-build/v1_10_02/SLF6/prof/build/log4cpp/v1_1_1b/Linux64bit+2.6-2.12-e7-prof/lib NO_DEFAULT_PATH )
    endif()
    if( NOT XML2 )
      cet_find_library( XML2 NAMES xml2 PATHS /scratch/workspace/nu-release-build/v1_10_02/SLF6/prof/build/libxml2/v2_9_2/Linux64bit+2.6-2.12-prof/lib NO_DEFAULT_PATH )
    endif()
    if( NOT CRY )
      cet_find_library( CRY NAMES CRY PATHS /scratch/workspace/nu-release-build/v1_10_02/SLF6/prof/build/cry/v1_7c/Linux64bit+2.6-2.12-e7-prof/cry_v1.7/lib NO_DEFAULT_PATH )
    endif()
    if( NOT GALGORITHM )
      cet_find_library( GALGORITHM NAMES GAlgorithm PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GBARYONRESONANCE )
      cet_find_library( GBARYONRESONANCE NAMES GBaryonResonance PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GBASE )
      cet_find_library( GBASE NAMES GBase PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GBODEKYANG )
      cet_find_library( GBODEKYANG NAMES GBodekYang PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GCHARM )
      cet_find_library( GCHARM NAMES GCharm PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GCOH )
      cet_find_library( GCOH NAMES GCoh PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GDFRC )
      cet_find_library( GDFRC NAMES GDfrc PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GDIS )
      cet_find_library( GDIS NAMES GDIS PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GCROSSSECTIONS )
      cet_find_library( GCROSSSECTIONS NAMES GCrossSections PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GDECAY )
      cet_find_library( GDECAY NAMES GDecay PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GELAS )
      cet_find_library( GELAS NAMES GElas PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GELFF )
      cet_find_library( GELFF NAMES GElFF PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GHEP )
      cet_find_library( GHEP NAMES GHEP PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GEVGCORE )
      cet_find_library( GEVGCORE NAMES GEVGCore PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GEVGMODULES )
      cet_find_library( GEVGMODULES NAMES GEVGModules PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GEVGDRIVERS )
      cet_find_library( GEVGDRIVERS NAMES GEVGDrivers PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GGIBUU )
      cet_find_library( GGIBUU NAMES GGiBUU PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GHADRONTRANSP )
      cet_find_library( GHADRONTRANSP NAMES GHadronTransp PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GFRAGMENTATION )
      cet_find_library( GFRAGMENTATION NAMES GFragmentation PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GINTERACTION )
      cet_find_library( GINTERACTION NAMES GInteraction PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GLLEWELLYNSMITH )
      cet_find_library( GLLEWELLYNSMITH NAMES GLlewellynSmith PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GMEC )
      cet_find_library( GMEC NAMES GMEC PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GMESSENGER )
      cet_find_library( GMESSENGER NAMES GMessenger PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GNUGAMMA )
      cet_find_library( GNUGAMMA NAMES GNuGamma PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GNUE )
      cet_find_library( GNUE NAMES GNuE PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GNTUPLE )
      cet_find_library( GNTUPLE NAMES GNtuple PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GNUCLEAR )
      cet_find_library( GNUCLEAR NAMES GNuclear PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GNUMERICAL )
      cet_find_library( GNUMERICAL NAMES GNumerical PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GQPM )
      cet_find_library( GQPM NAMES GQPM PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GPDG )
      cet_find_library( GPDG NAMES GPDG PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GPDF )
      cet_find_library( GPDF NAMES GPDF PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GQEL )
      cet_find_library( GQEL NAMES GQEL PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GRES )
      cet_find_library( GRES NAMES GRES PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GREGISTRY )
      cet_find_library( GREGISTRY NAMES GRegistry PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GREINSEGHAL )
      cet_find_library( GREINSEGHAL NAMES GReinSeghal PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GUTILS )
      cet_find_library( GUTILS NAMES GUtils PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GGEO )
      cet_find_library( GGEO NAMES GGeo PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GFLUXDRIVERS )
      cet_find_library( GFLUXDRIVERS NAMES GFluxDrivers PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GMUELOSS )
      cet_find_library( GMUELOSS NAMES GMuELoss PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GREWEIGHT )
      cet_find_library( GREWEIGHT NAMES GReWeight PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GNUCLEONDECAY )
      cet_find_library( GNUCLEONDECAY NAMES GNucleonDecay PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT BOOST_SERIALIZATION )
      cet_find_library( BOOST_SERIALIZATION NAMES boost_serialization PATHS ENV BOOST_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT BOOST_DATE_TIME )
      cet_find_library( BOOST_DATE_TIME NAMES boost_date_time PATHS ENV BOOST_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT PQ )
      cet_find_library( PQ NAMES pq PATHS ENV POSTGRESQL_LIBRARIES NO_DEFAULT_PATH )
    endif()
      set( CLUSTERFINDER  $ENV{LARRECO_LIB}/libClusterFinder.so )
      set( BLURREDCLUSTERING_MODULE  $ENV{LARRECO_LIB}/libBlurredClustering_module.so )
      set( CLUSTER3D_MODULE  $ENV{LARRECO_LIB}/libCluster3D_module.so )
      set( CLUSTERANA_MODULE  $ENV{LARRECO_LIB}/libClusterAna_module.so )
      set( CLUSTERCHEATER_MODULE  $ENV{LARRECO_LIB}/libClusterCheater_module.so )
      set( CLUSTERCRAWLER_MODULE  $ENV{LARRECO_LIB}/libClusterCrawler_module.so )
      set( CLUSTERPCA_MODULE  $ENV{LARRECO_LIB}/libClusterPCA_module.so )
      set( DBCLUSTERANA_MODULE  $ENV{LARRECO_LIB}/libDBclusterAna_module.so )
      set( DBCLUSTER_MODULE  $ENV{LARRECO_LIB}/libDBcluster_module.so )
      set( DUMPCLUSTERS_MODULE  $ENV{LARRECO_LIB}/libDumpClusters_module.so )
      set( ENDPOINTMODULE_MODULE  $ENV{LARRECO_LIB}/libEndPointModule_module.so )
      set( FUZZYCLUSTERMERGER_MODULE  $ENV{LARRECO_LIB}/libFuzzyClusterMerger_module.so )
      set( HOUGHLINEFINDERANA_MODULE  $ENV{LARRECO_LIB}/libHoughLineFinderAna_module.so )
      set( HOUGHLINEFINDER_MODULE  $ENV{LARRECO_LIB}/libHoughLineFinder_module.so )
      set( LINECLUSTER_MODULE  $ENV{LARRECO_LIB}/libLineCluster_module.so )
      set( LINEMERGER_MODULE  $ENV{LARRECO_LIB}/libLineMerger_module.so )
      set( SIMPLECLUSTERMERGER_MODULE  $ENV{LARRECO_LIB}/libSimpleClusterMerger_module.so )
      set( SMALLCLUSTERFINDER_MODULE  $ENV{LARRECO_LIB}/libSmallClusterFinder_module.so )
      set( FUZZYCLUSTER_MODULE  $ENV{LARRECO_LIB}/libfuzzyCluster_module.so )
      set( AGGREGATEEVENT_MODULE  $ENV{LARRECO_LIB}/libAggregateEvent_module.so )
      set( EVENTCHEATER_MODULE  $ENV{LARRECO_LIB}/libEventCheater_module.so )
      set( EVENTMAKER_MODULE  $ENV{LARRECO_LIB}/libEventMaker_module.so )
      set( GENFIT  $ENV{LARRECO_LIB}/libGenfit.so )
      set( RFFHITFITTER  $ENV{LARRECO_LIB}/libRFFHitFitter.so )
      set( HITFINDER  $ENV{LARRECO_LIB}/libHitFinder.so )
      set( APAHITFINDER_MODULE  $ENV{LARRECO_LIB}/libAPAHitFinder_module.so )
      set( DISAMBIGCHEATER_MODULE  $ENV{LARRECO_LIB}/libDisambigCheater_module.so )
      set( DUMPHITS_MODULE  $ENV{LARRECO_LIB}/libDumpHits_module.so )
      set( FFTHITFINDER_MODULE  $ENV{LARRECO_LIB}/libFFTHitFinder_module.so )
      set( GAUSHITFINDERANA_MODULE  $ENV{LARRECO_LIB}/libGausHitFinderAna_module.so )
      set( GAUSHITFINDER_MODULE  $ENV{LARRECO_LIB}/libGausHitFinder_module.so )
      set( HITANAMODULE_MODULE  $ENV{LARRECO_LIB}/libHitAnaModule_module.so )
      set( HITCHEATER_MODULE  $ENV{LARRECO_LIB}/libHitCheater_module.so )
      set( HITFINDERANA_MODULE  $ENV{LARRECO_LIB}/libHitFinderAna_module.so )
      set( HITFINDER_MODULE  $ENV{LARRECO_LIB}/libHitFinder_module.so )
      set( MCHITANAEXAMPLE_MODULE  $ENV{LARRECO_LIB}/libMCHitAnaExample_module.so )
      set( MCHITFINDER_MODULE  $ENV{LARRECO_LIB}/libMCHitFinder_module.so )
      set( RFFHITFINDER_MODULE  $ENV{LARRECO_LIB}/libRFFHitFinder_module.so )
      set( RAWHITFINDER_MODULE  $ENV{LARRECO_LIB}/libRawHitFinder_module.so )
      set( TTHITFINDER_MODULE  $ENV{LARRECO_LIB}/libTTHitFinder_module.so )
      set( RECOALG  $ENV{LARRECO_LIB}/libRecoAlg.so )
      set( CMTOOLBASE  $ENV{LARRECO_LIB}/libCMToolBase.so )
      set( CMTALGPRIORITY  $ENV{LARRECO_LIB}/libCMTAlgPriority.so )
      set( CMTALGMERGE  $ENV{LARRECO_LIB}/libCMTAlgMerge.so )
      set( CMTALGMATCH  $ENV{LARRECO_LIB}/libCMTAlgMatch.so )
      set( CMTOOLAPP  $ENV{LARRECO_LIB}/libCMToolApp.so )
      set( CLUSTERRECOUTIL  $ENV{LARRECO_LIB}/libClusterRecoUtil.so )
      set( CLUSTER3DALGS  $ENV{LARRECO_LIB}/libCluster3DAlgs.so )
      set( SHOWERRECO3D  $ENV{LARRECO_LIB}/libShowerReco3D.so )
      set( SHOWERFINDER_SHOWERRECO3D_SHOWERQUALITY_MODULE  $ENV{LARRECO_LIB}/libShowerFinder_ShowerReco3D_ShowerQuality_module.so )
      set( SHOWERFINDER_SHOWERRECO3D_SHOWERRECO3D_MODULE  $ENV{LARRECO_LIB}/libShowerFinder_ShowerReco3D_ShowerReco3D_module.so )
      set( SHOWERCHEATER_MODULE  $ENV{LARRECO_LIB}/libShowerCheater_module.so )
      set( SHOWERFINDER_MODULE  $ENV{LARRECO_LIB}/libShowerFinder_module.so )
      set( SHOWERRECO_MODULE  $ENV{LARRECO_LIB}/libShowerReco_module.so )
      set( BEZIERTRACKERMODULE_MODULE  $ENV{LARRECO_LIB}/libBezierTrackerModule_module.so )
      set( CCTRACKMAKER_MODULE  $ENV{LARRECO_LIB}/libCCTrackMaker_module.so )
      set( COSMICTRACKER_MODULE  $ENV{LARRECO_LIB}/libCosmicTracker_module.so )
      set( FEATURETRACKER_MODULE  $ENV{LARRECO_LIB}/libFeatureTracker_module.so )
      set( MAGDRIFTANA_MODULE  $ENV{LARRECO_LIB}/libMagDriftAna_module.so )
      set( SEEDANA_MODULE  $ENV{LARRECO_LIB}/libSeedAna_module.so )
      set( SEEDFINDERMODULE_MODULE  $ENV{LARRECO_LIB}/libSeedFinderModule_module.so )
      set( SPACEPOINTANA_MODULE  $ENV{LARRECO_LIB}/libSpacePointAna_module.so )
      set( SPACEPOINTCHEATER_MODULE  $ENV{LARRECO_LIB}/libSpacePointCheater_module.so )
      set( SPACEPOINTFINDER_MODULE  $ENV{LARRECO_LIB}/libSpacePointFinder_module.so )
      set( SPACEPTS_MODULE  $ENV{LARRECO_LIB}/libSpacePts_module.so )
      set( TRACK3DKALMANHIT_MODULE  $ENV{LARRECO_LIB}/libTrack3DKalmanHit_module.so )
      set( TRACK3DRECO_MODULE  $ENV{LARRECO_LIB}/libTrack3Dreco_module.so )
      set( TRACKANA_MODULE  $ENV{LARRECO_LIB}/libTrackAna_module.so )
      set( TRACKCHEATER_MODULE  $ENV{LARRECO_LIB}/libTrackCheater_module.so )
      set( TRACKKALMANCHEATER_MODULE  $ENV{LARRECO_LIB}/libTrackKalmanCheater_module.so )
      set( TRACKSTITCHER_MODULE  $ENV{LARRECO_LIB}/libTrackStitcher_module.so )
      set( TRACK3DKALMAN_MODULE  $ENV{LARRECO_LIB}/libTrack3DKalman_module.so )
      set( TRACK3DKALMANSPS_MODULE  $ENV{LARRECO_LIB}/libTrack3DKalmanSPS_module.so )
      set( DUMPTRACKS_MODULE  $ENV{LARRECO_LIB}/libDumpTracks_module.so )
      set( AGGREGATEVERTEXANA_MODULE  $ENV{LARRECO_LIB}/libAggregateVertexAna_module.so )
      set( AGGREGATEVERTEX_MODULE  $ENV{LARRECO_LIB}/libAggregateVertex_module.so )
      set( FEATUREVERTEXFINDERANA_MODULE  $ENV{LARRECO_LIB}/libFeatureVertexFinderAna_module.so )
      set( HARRISVERTEXFINDER_MODULE  $ENV{LARRECO_LIB}/libHarrisVertexFinder_module.so )
      set( PRIMARYVERTEXFINDER_MODULE  $ENV{LARRECO_LIB}/libPrimaryVertexFinder_module.so )
      set( VERTEXCHEATER_MODULE  $ENV{LARRECO_LIB}/libVertexCheater_module.so )
      set( VERTEXFINDER2D_MODULE  $ENV{LARRECO_LIB}/libVertexFinder2D_module.so )
      set( VERTEXMATCH_MODULE  $ENV{LARRECO_LIB}/libVertexMatch_module.so )
      set( FEATUREVERTEXFINDER_MODULE  $ENV{LARRECO_LIB}/libFeatureVertexFinder_module.so )
      set( CORNERFINDER_MODULE  $ENV{LARRECO_LIB}/libCornerFinder_module.so )
      set( TTSPACEPOINTFINDER_MODULE  $ENV{LARRECO_LIB}/libTTSpacePointFinder_module.so )
      set( MCCOMP  $ENV{LARRECO_LIB}/libMCComp.so )
      set( MCBTDEMO_MODULE  $ENV{LARRECO_LIB}/libMCBTDemo_module.so )
      include_directories ( $ENV{LARRECO_INC} )

check_required_components(larreco)

